Jump to content
Old Beardo

Exile Remaster

Recommended Posts

As promised, here's a new Windows build. I'm not going to make Mac builds anymore unless specifically requested, because I don't believe they will run on modern Macs anyway (they should work on 10.9 and earlier, I think; not sure about 10.10 and 10.11).

 

EDIT: Oh yeah, I suppose I should mention what's new in this build. It has the UI scaling option in the preferences (2x by default, other scales can be obtained by manually editing the prefs file), plus the bugfixes that Ir posted in this thread.

Edited by Celtic Minstrel
New stuff is new!

Share this post


Link to post
Share on other sites

Is the problem with providing builds for later macOS versions simply due to not having access to the appropriate OS versions to build on? I was able to successfully build on 10.12. I didn't do extensive testing but it seems to run. Or is there some underlying compatibility issue I'm missing? If not, I'd be glad to provide up-to-date binaries.

Share this post


Link to post
Share on other sites

It's not having access to a modern Mac system, yeah. My Mac (which I'm posting this on) still runs OSX 10.7, and the last Mac build I released had problems running on someone else's Mac. I don't think I can make builds that can run on a modern Mac system.

 

In other words, if you could provide periodic Mac builds of master (even just whenever I post a Windows build), that would be great.

Share this post


Link to post
Share on other sites

No problem. Here is a build of master on 10.12. The UI feels a little glitchy -- sometimes dialogs aren't visually updated in response to clicks or typing -- but it's playable. This seems to be mostly an issue when UI scaling is enabled, but I noticed it happening with text fields in the scenario editor, too.

Share this post


Link to post
Share on other sites
On 1/27/2018 at 6:04 PM, stepped pyramids said:

Is the problem with providing builds for later macOS versions simply due to not having access to the appropriate OS versions to build on? I was able to successfully build on 10.12. I didn't do extensive testing but it seems to run. Or is there some underlying compatibility issue I'm missing? If not, I'd be glad to provide up-to-date binaries.

 

whoooaaa it's you. glad you're alive. hope things are going okay.

 

edit: our mutual friend says hi too, she's missed you~

Share this post


Link to post
Share on other sites
On 1/27/2018 at 2:07 PM, Lilith said:

 

whoooaaa it's you. glad you're alive. hope things are going okay.

 

edit: our mutual friend says hi too, she's missed you~

 

Same here.

Share this post


Link to post
Share on other sites

Thanks for the build! I've mirrored it on my site as well.

 

The glitches you're mentioning sound a lot like an issue that has been occurring on and off for quite some time - several times I thought it had been fixed and then someone reported it was still happening. Sadly, I have no idea how to actually fix it...

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×